Index: /trunk/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /trunk/data/class/pages/products/LC_Page_Products_Detail.php	(revision 18562)
+++ /trunk/data/class/pages/products/LC_Page_Products_Detail.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -140,5 +140,5 @@
                 //閲覧履歴の中で一番古いものを削除して新規追加
                 $oldsql = "SELECT MIN(update_date) FROM ".$table." WHERE customer_id = ?";
-                $old = $objQuery->getone($oldsql, array($objCustomer->getValue("customer_id")));
+                $old = $objQuery->getOne($oldsql, array($objCustomer->getValue("customer_id")));
                 $where = "customer_id = ? AND update_date = ? ";
                 $arrval = array($objCustomer->getValue("customer_id"), $old);
@@ -218,5 +218,5 @@
         // 商品コードの取得
         $code_sql = "SELECT product_code FROM dtb_products_class AS prdcls WHERE prdcls.product_id = ? GROUP BY product_code ORDER BY product_code";
-        $arrProductCode = $objQuery->getall($code_sql, array($tmp_id));
+        $arrProductCode = $objQuery->getAll($code_sql, array($tmp_id));
         $arrProductCode = SC_Utils_Ex::sfswaparray($arrProductCode);
         $this->arrProductCode = $arrProductCode["product_code"];
@@ -341,5 +341,5 @@
                //閲覧履歴の中で一番古いものを削除して新規追加
                $oldsql = "SELECT MIN(update_date) FROM ".$table." WHERE customer_id = ?";
-               $old = $objQuery->getone($oldsql, array($objCustomer->getValue("customer_id")));
+               $old = $objQuery->getOne($oldsql, array($objCustomer->getValue("customer_id")));
                $where = "customer_id = ? AND update_date = ? ";
                $arrval = array($objCustomer->getValue("customer_id"), $old);
@@ -436,5 +436,5 @@
         // 商品コードの取得
         $code_sql = "SELECT product_code FROM dtb_products_class AS prdcls WHERE prdcls.product_id = ? GROUP BY product_code ORDER BY product_code";
-        $arrProductCode = $objQuery->getall($code_sql, array($tmp_id));
+        $arrProductCode = $objQuery->getAll($code_sql, array($tmp_id));
         $arrProductCode = SC_Utils_Ex::sfswaparray($arrProductCode);
         $this->arrProductCode = $arrProductCode["product_code"];
@@ -691,5 +691,5 @@
             $table = "vw_product_class AS prdcls";
             $where = "product_id = ?";
-            $objQuery->setorder("rank1 DESC, rank2 DESC");
+            $objQuery->setOrder("rank1 DESC, rank2 DESC");
             $arrRet = $objQuery->select($col, $table, $where, array($product_id));
         }
@@ -701,5 +701,5 @@
         $arrRecommend = array();
         $objQuery = new SC_Query();
-        $objQuery->setorder("rank DESC");
+        $objQuery->setOrder("rank DESC");
         $arrRet = $objQuery->select("recommend_product_id, comment", "dtb_recommend_products", "product_id = ?", array($product_id));
         $max = count($arrRet);
@@ -711,5 +711,5 @@
                 . "   FROM dtb_product_categories T2  "
                 . " GROUP BY product_id) AS T3 USING (product_id)";
-        $objQuery->setorder("T3.product_rank DESC");
+        $objQuery->setOrder("T3.product_rank DESC");
         for($i = 0; $i < $max; $i++) {
             $where = "del_flg = 0 AND T3.product_id = ? AND status = 1";
@@ -758,7 +758,7 @@
         $objQuery = new SC_Query;
         //自動抽出
-        $objQuery->setorder("random()");
+        $objQuery->setOrder("random()");
         //表示件数の制限
-        $objQuery->setlimit(RELATED_PRODUCTS_MAX);
+        $objQuery->setLimit(RELATED_PRODUCTS_MAX);
         //検索条件
         $col = "name, main_list_image, price01_min, price02_min, price01_max, price02_max, point_rate";
@@ -812,5 +812,5 @@
         $where = "del_flg = 0";
         $order = "payment_id";
-        $objQuery->setorder($order);
+        $objQuery->setOrder($order);
         $arrRet = $objQuery->select($col, $from, $where);
         return $arrRet;
Index: /trunk/data/class/pages/LC_Page_ResizeImage.php
===================================================================
--- /trunk/data/class/pages/LC_Page_ResizeImage.php	(revision 16582)
+++ /trunk/data/class/pages/LC_Page_ResizeImage.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/tb/LC_Page_TrackBack.php
===================================================================
--- /trunk/data/class/pages/tb/LC_Page_TrackBack.php	(revision 16582)
+++ /trunk/data/class/pages/tb/LC_Page_TrackBack.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/LC_Page_Index.php
===================================================================
--- /trunk/data/class/pages/LC_Page_Index.php	(revision 16741)
+++ /trunk/data/class/pages/LC_Page_Index.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/rss/LC_Page_Rss_Products.php
===================================================================
--- /trunk/data/class/pages/rss/LC_Page_Rss_Products.php	(revision 17266)
+++ /trunk/data/class/pages/rss/LC_Page_Rss_Products.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -91,5 +91,5 @@
         }elseif($mode == "list"){
             //商品一覧を取得
-            $arrProduct = $objQuery->getall("SELECT product_id, name AS product_name FROM dtb_products");
+            $arrProduct = $objQuery->getAll("SELECT product_id, name AS product_name FROM dtb_products");
         }else{
             $arrProduct = $this->lfGetProductsAllclass($objQuery);
@@ -188,5 +188,5 @@
         }
         $sql .= " ORDER BY prod.product_id, cls.classcategory_id1, cls.classcategory_id2";
-        $arrProduct = $objQuery->getall($sql, $arrval);
+        $arrProduct = $objQuery->getAll($sql, $arrval);
         return $arrProduct;
     }
@@ -220,5 +220,5 @@
             WHERE allcls.del_flg = 0 AND allcls.status = 1";
         $sql .= " ORDER BY allcls.product_id";
-        $arrProduct = $objQuery->getall($sql);
+        $arrProduct = $objQuery->getAll($sql);
         return $arrProduct;
     }
Index: /trunk/data/class/pages/rss/LC_Page_Rss.php
===================================================================
--- /trunk/data/class/pages/rss/LC_Page_Rss.php	(revision 17650)
+++ /trunk/data/class/pages/rss/LC_Page_Rss.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -69,5 +69,6 @@
         //新着情報をセット
         $this->arrNews = $arrNews;
-        $this->timestamp = SC_Utils_Ex::sf_mktime("r", $arrNews[0]['hour'], $arrNews[0]['minute'], $arrNews[0]['second'], $arrNews[0]['month'], $arrNews[0]['day'], $arrNews[0]['year']);
+        // XXX 2.4.3 以下の互換性確保
+        $this->timestamp = $arrNews[0]['news_date'];
 
         //店名をセット
@@ -104,20 +105,5 @@
         $col .= "     ,news_title ";							//新着情報タイトル
         $col .= "     ,news_comment ";							//新着情報本文
-
-        if (DB_TYPE == "pgsql") {
-            $col .= "     ,to_char(news_date, 'YYYY') AS YEAR ";	//日付(年)
-            $col .= "     ,to_char(news_date, 'MM') AS MONTH ";		//日付(月)
-            $col .= "     ,to_char(news_date, 'DD') AS DAY ";		//日付(日)
-            $col .= "     ,to_char(news_date, 'HH24') AS HOUR ";	//日付(時間)
-            $col .= "     ,to_char(news_date, 'MI') AS MINUTE ";	//日付(分)
-            $col .= "     ,to_char(news_date, 'SS') AS SECOND ";	//日付(秒)
-        }else if (DB_TYPE == "mysql") {
-            $col .= "     ,DATE_FORMAT(news_date, '%Y') AS YEAR ";		//日付(年)
-            $col .= "     ,DATE_FORMAT(news_date, '%m') AS MONTH ";		//日付(月)
-            $col .= "     ,DATE_FORMAT(news_date, '%d') AS DAY ";		//日付(日)
-            $col .= "     ,DATE_FORMAT(news_date, '%H') AS HOUR ";		//日付(時間)
-            $col .= "     ,DATE_FORMAT(news_date, '%i') AS MINUTE ";	//日付(分)
-            $col .= "     ,DATE_FORMAT(news_date, '%s') AS SECOND ";	//日付(秒)
-        }
+        $col .= "     ,news_date ";								//新着情報日時
         $col .= "     ,news_url ";								//新着情報URL
         $col .= "     ,news_select ";							//新着情報の区分(1:URL、2:本文)
@@ -127,6 +113,14 @@
         $where = "del_flg = '0'";
         $order = "rank DESC";
-        $objQuery->setorder($order);
+        $objQuery->setOrder($order);
         $arrNews = $objQuery->select($col,$from,$where);
+
+        // RSS用に変換
+        foreach (array_keys($arrNews) as $key) {
+            $row =& $arrNews[$key];
+            // 日付
+            $row['news_date'] = date("r", strtotime($row['news_date']));
+        }
+
         return $arrNews;
     }
Index: /trunk/data/class/pages/order/LC_Page_Order.php
===================================================================
--- /trunk/data/class/pages/order/LC_Page_Order.php	(revision 16741)
+++ /trunk/data/class/pages/order/LC_Page_Order.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_MobileUserAgent.php
===================================================================
--- /trunk/data/class/SC_MobileUserAgent.php	(revision 18562)
+++ /trunk/data/class/SC_MobileUserAgent.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/graph/SC_GraphBar.php
===================================================================
--- /trunk/data/class/graph/SC_GraphBar.php	(revision 16741)
+++ /trunk/data/class/graph/SC_GraphBar.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/graph/SC_GraphLine.php
===================================================================
--- /trunk/data/class/graph/SC_GraphLine.php	(revision 16741)
+++ /trunk/data/class/graph/SC_GraphLine.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/graph/SC_GraphBase.php
===================================================================
--- /trunk/data/class/graph/SC_GraphBase.php	(revision 16741)
+++ /trunk/data/class/graph/SC_GraphBase.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/graph/SC_GraphPie.php
===================================================================
--- /trunk/data/class/graph/SC_GraphPie.php	(revision 16741)
+++ /trunk/data/class/graph/SC_GraphPie.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_MobileEmoji.php
===================================================================
--- /trunk/data/class/SC_MobileEmoji.php	(revision 18562)
+++ /trunk/data/class/SC_MobileEmoji.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_CustomerList.php
===================================================================
--- /trunk/data/class/SC_CustomerList.php	(revision 18562)
+++ /trunk/data/class/SC_CustomerList.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_Customer.php
===================================================================
--- /trunk/data/class/SC_Customer.php	(revision 18432)
+++ /trunk/data/class/SC_Customer.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/util/SC_Utils.php
===================================================================
--- /trunk/data/class/util/SC_Utils.php	(revision 18562)
+++ /trunk/data/class/util/SC_Utils.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -81,25 +81,10 @@
         // インストールが完了していない時
         if( !defined('ECCUBE_INSTALL') ) {
-            if( !ereg('/install/', $_SERVER['PHP_SELF']) ) {
+            $phpself = $_SERVER['PHP_SELF'];
+            if( !ereg('/install/', $phpself) ) {
                 // インストールページに遷移させる
-
-                $script_filename = $_SERVER['SCRIPT_FILENAME'];
-                list($real_root, $tmp) = explode('/html/', $script_filename);
-                $real_root = $real_root . '/html/';
-                $script_name = $_SERVER['SCRIPT_NAME'];
-                $url_dir = rtrim($script_name, basename($script_name));
-
-                if ($dh = opendir($real_root)) {
-                    $arrDir = array();
-                    while ($entry = readdir($dh)) {
-                        if (is_dir($real_root.$entry) && !in_array($entry, array('.', '..', '.svn', 'install'))) {
-                            $url_dir = rtrim($url_dir, $entry.'/');
-                        }
-                    }
-                    closedir($dh);
-                }
-
-                $location = $url_dir . '/install/';
-                header('Location: ' . $location);
+                $path = substr($phpself, 0, strpos($phpself, basename($phpself)));
+                $install_url = SC_Utils::searchInstallerPath($path);
+                header('Location: ' . $install_url);
                 exit;
             }
@@ -110,4 +95,70 @@
             }
         }
+    }
+
+    /**
+     * インストーラのパスを検索し, URL を返す.
+     *
+     * $path と同階層に install/index.php があるか検索する.
+     * 存在しない場合は上位階層を再帰的に検索する.
+     * インストーラのパスが見つかった場合は, その URL を返す.
+     * DocumentRoot まで検索しても見つからない場合は /install/index.php を返す.
+     *
+     * @param string $path 検索対象のパス
+     * @return string インストーラの URL
+     */
+    function searchInstallerPath($path) {
+        $installer = 'install/index.php';
+
+        if (SC_Utils::sfIsHTTPS()) {
+            $proto = "https://";
+        } else {
+            $proto = "http://";
+        }
+        $host = $proto . $_SERVER['SERVER_NAME'];
+        if ($path == '/') {
+            return $host . $path . $installer;
+        }
+        if (substr($path, -1, 1) != '/') {
+            $path .= $path . '/';
+        }
+        $installer_url = $host . $path . $installer;
+        $resources = fopen(SC_Utils::getRealURL($installer_url), 'r');
+        if ($resources === false) {
+            $installer_url = SC_Utils::searchInstallerPath($path . '../');
+        }
+        return $installer_url;
+    }
+
+    /**
+     * 相対パスで記述された URL から絶対パスの URL を取得する.
+     *
+     * この関数は, http(s):// から始まる URL を解析し, 相対パスで記述されていた
+     * 場合, 絶対パスに変換して返す
+     *
+     * 例)
+     * http://www.example.jp/aaa/../index.php
+     * ↓
+     * http://www.example.jp/index.php
+     *
+     * @param string $url http(s):// から始まる URL
+     * @return string $url を絶対パスに変換した URL
+     */
+    function getRealURL($url) {
+        $parse = parse_url($url);
+        $tmp = split('/', $parse['path']);
+        $results = array();
+        foreach ($tmp as $v) {
+            if ($v == '' || $v == '.') {
+                // queit.
+            } elseif ($v == '..') {
+                array_pop($results);
+            } else {
+                array_push($results, $v);
+            }
+        }
+
+        $path = join('/', $results);
+        return $parse['scheme'] . '://' . $parse['host'] . '/' . $path;
     }
 
@@ -543,4 +594,5 @@
             foreach($array as $key => $val) {
                 $val = mb_convert_encoding($val, CHAR_CODE, CHAR_CODE);
+                $val = ereg_replace("\"", "\"\"", $val);
                 $line .= "\"".$val."\",";
             }
@@ -716,5 +768,5 @@
             $where .= "del_flg = 0 AND campaign_id IN (SELECT campaign_id FROM dtb_campaign_detail where product_id = ? )";
             //登録(更新)日付順
-            $objQuery->setorder('update_date DESC');
+            $objQuery->setOrder('update_date DESC');
             //キャンペーンポイントの取得
             $arrRet = $objQuery->select("campaign_name, campaign_point_rate", "dtb_campaign", $where, array($product_id));
@@ -762,5 +814,5 @@
         $sql.= "group by dtb_class.class_id, dtb_class.name";
         $objQuery = new SC_Query();
-        $arrList = $objQuery->getall($sql);
+        $arrList = $objQuery->getAll($sql);
         // キーと値をセットした配列を取得
         $arrRet = SC_Utils::sfArrKeyValue($arrList, 'class_id', 'count');
Index: /trunk/data/class/util/GC_Utils.php
===================================================================
--- /trunk/data/class/util/GC_Utils.php	(revision 18562)
+++ /trunk/data/class/util/GC_Utils.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -160,5 +160,5 @@
     /**
      * ログローテーション機能
-     *
+     * XXX この類のローテーションは通常 0 開始だが、本実装は 1 開始である。
      * @param integer $max_log 最大ファイル数
      * @param integer $max_size 最大サイズ
@@ -168,54 +168,18 @@
     function gfLogRotation($max_log, $max_size, $path) {
 
-        // ディレクトリ名を取得
-        $dirname = dirname($path);
-        // ファイル名を取得
-        $basename = basename($path);
-		//umask値を777にする。スクリプトが終われば元のumask値に戻る。
-		umask(0);
-        // ファイルが最大サイズを超えていないかチェック
-        if(filesize($path) > $max_size) {
-            if ($dh = opendir($dirname)) {
-                while (($file = readdir($dh)) !== false) {
-                    // ログローテーションにて作成されたファイルを取得
-                    if(ereg("^". $basename . "\." , $file)) {
-                        $arrFile[] = $file;
-                    }
-                }
-
-                // ローテーションにて作成されたログファイルが存在しない場合は実行しない
-                if(is_array($arrFile)) {
-                    // ソートを行う
-                    natcasesort($arrFile);
-
-                    // ファイルログが最大個数なら以上なら古いファイルから削除する
-                    $count = count($arrFile);
-                    if($count >= $max_log) {
-                        $diff = $count - $max_log;
-                        for($i = 0; $diff >= $i ; $i++) {
-                            unlink($dirname . "/" . array_pop($arrFile));
-                        }
-                    }
-
-                    // ログファイルの添え字をずらす
-                    $count = count($arrFile);
-                    for($i = $count; 1 <= $i; $i--) {
-                        $move_number = $i + 1;
-                        if(file_exists("$path.$move_number")) {
-                            unlink("$path.$move_number");
-                        }
-                        copy("$dirname/" . $arrFile[$i - 1], "$path.$move_number");
-                    }
-                }
-                $ret = copy($path, "$path.1");
-
-                // 新規ログファイルを作成
-                if($ret) {
-                    unlink($path);
-                    touch($path);
-                    chmod($path, 0666);
-                }
+        // ファイルが最大サイズを超えていない場合、終了
+        if (filesize($path) <= $max_size) return;
+
+        // アーカイブのインクリメント(削除を兼ねる)
+        for ($i = $max_log; $i >= 2; $i--) {
+            $path_old = "$path." . ($i - 1);
+            $path_new = "$path.$i";
+            if (file_exists($path_old)) {
+                rename($path_old, $path_new);
             }
         }
+
+        // 現在ファイルのアーカイブ
+        rename($path, "$path.1");
     }
 
Index: /trunk/data/class/SC_DbConn.php
===================================================================
--- /trunk/data/class/SC_DbConn.php	(revision 18562)
+++ /trunk/data/class/SC_DbConn.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_SiteSession.php
===================================================================
--- /trunk/data/class/SC_SiteSession.php	(revision 16741)
+++ /trunk/data/class/SC_SiteSession.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/session/sessionfactory/SC_SessionFactory_UseRequest.php
===================================================================
--- /trunk/data/class/session/sessionfactory/SC_SessionFactory_UseRequest.php	(revision 17410)
+++ /trunk/data/class/session/sessionfactory/SC_SessionFactory_UseRequest.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/session/sessionfactory/SC_SessionFactory_UseCookie.php
===================================================================
--- /trunk/data/class/session/sessionfactory/SC_SessionFactory_UseCookie.php	(revision 17118)
+++ /trunk/data/class/session/sessionfactory/SC_SessionFactory_UseCookie.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/session/SC_SessionFactory.php
===================================================================
--- /trunk/data/class/session/SC_SessionFactory.php	(revision 17560)
+++ /trunk/data/class/session/SC_SessionFactory.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_MobileKaraMail.php
===================================================================
--- /trunk/data/class/SC_MobileKaraMail.php	(revision 18562)
+++ /trunk/data/class/SC_MobileKaraMail.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/db/SC_DB_MasterData.php
===================================================================
--- /trunk/data/class/db/SC_DB_MasterData.php	(revision 18562)
+++ /trunk/data/class/db/SC_DB_MasterData.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -305,5 +305,5 @@
 
         $this->objQuery = new SC_Query();
-        $this->objQuery->setorder($columns[2]);
+        $this->objQuery->setOrder($columns[2]);
         $results = $this->objQuery->select($columns[0] . ", " . $columns[1], $name);
 
Index: /trunk/data/class/db/SC_DB_DBFactory.php
===================================================================
--- /trunk/data/class/db/SC_DB_DBFactory.php	(revision 16741)
+++ /trunk/data/class/db/SC_DB_DBFactory.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php
===================================================================
--- /trunk/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 18432)
+++ /trunk/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -243,6 +243,8 @@
      */
     function sfChangeTrunc($sql){
-        $changesql = eregi_replace("( TRUNC)", " TRUNCATE", $sql);
-        return $changesql;
+        if (preg_match('/TRUNCATE/i', $sql)) {
+            return $sql;
+        }
+        return eregi_replace("( TRUNC)", " TRUNCATE", $sql);
     }
 
Index: /trunk/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php
===================================================================
--- /trunk/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 16938)
+++ /trunk/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_MobileImage.php
===================================================================
--- /trunk/data/class/SC_MobileImage.php	(revision 18562)
+++ /trunk/data/class/SC_MobileImage.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_SiteInfo.php
===================================================================
--- /trunk/data/class/SC_SiteInfo.php	(revision 16741)
+++ /trunk/data/class/SC_SiteInfo.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_Image.php
===================================================================
--- /trunk/data/class/SC_Image.php	(revision 18562)
+++ /trunk/data/class/SC_Image.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_CampaignSession.php
===================================================================
--- /trunk/data/class/SC_CampaignSession.php	(revision 17591)
+++ /trunk/data/class/SC_CampaignSession.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_UploadFile.php
===================================================================
--- /trunk/data/class/SC_UploadFile.php	(revision 18007)
+++ /trunk/data/class/SC_UploadFile.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_CheckError.php
===================================================================
--- /trunk/data/class/SC_CheckError.php	(revision 18562)
+++ /trunk/data/class/SC_CheckError.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/SC_Initial.php
===================================================================
--- /trunk/data/class/SC_Initial.php	(revision 18562)
+++ /trunk/data/class/SC_Initial.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -38,5 +38,5 @@
 
         /** EC-CUBEのバージョン */
-        define('ECCUBE_VERSION', "2.4.3");
+        define('ECCUBE_VERSION', "2.4.4");
     }
 
@@ -101,4 +101,8 @@
     function setErrorReporting() {
         error_reporting(E_ALL & ~E_NOTICE);
+        // PHP 5.3.0対応
+        if (error_reporting() > 6143) {
+            error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED);
+        }
     }
 
Index: /trunk/data/class/SC_PageNavi.php
===================================================================
--- /trunk/data/class/SC_PageNavi.php	(revision 16741)
+++ /trunk/data/class/SC_PageNavi.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
